List optimization suggestions
curl --request GET \
--url https://api.semicola.com/api/v2/buyer/optimization-suggestions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.semicola.com/api/v2/buyer/optimization-suggestions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.semicola.com/api/v2/buyer/optimization-suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"suggestions": [
{
"suggestionId": "<string>",
"campaignId": "<string>",
"campaignName": "<string>",
"mediaBuyId": "<string>",
"mediaBuyName": "<string>",
"optimizationMetric": "<string>",
"status": "received",
"productAdjustmentCount": 4503599627370495,
"bidAdjustmentCount": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z",
"statusUpdatedAt": "2023-11-07T05:31:56Z"
}
],
"totalCount": 4503599627370495,
"hasMore": true
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Optimization Suggestions
List optimization suggestions
GET
/
api
/
v2
/
buyer
/
optimization-suggestions
List optimization suggestions
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Query Parameters
Available options:
received, approved, rejected, applied, failed Required range:
1 <= x <= 100Required range:
0 <= x <= 9007199254740991